#!/bin/bash -u

# setup args in the right order for making getopt evaluation
# nice and easy.  You'll need to read the manpages for more info
args=$(getopt -o h -- "$@")
eval set -- "$args"

###########################################################
usage() {
    echo ''           >&2
    echo "$0 <%post number>" >&2
    echo "   This script is really just an easy to call" >&2
    echo "   wrapper around authconfig" >&2
    exit 1
}

###########################################################
for arg in $@; do
    case $1 in
        -- )
            # end of getopt args, shift off the -- and get out of the loop
            shift
            break 2
           ;;
         -h )
            # get help
            usage
           ;;

    esac
done

###########################################################

CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

NOW=$(date +%x_%T)

if [[ ${CURRENT_INSTALLS_OF_THIS_PACKAGE} -eq 0 ]]; then
    # only remove the config on removing this rpm, not upgrading
    authconfig --savebackup=${NOW}_fermilab-conf_kerberos-login-passwords_remove
    authconfig --update --disablekrb5
    logger -p auth.info 'ran authconfig --disablekrb5'
else
    authconfig --savebackup=${NOW}_fermilab-conf_kerberos-login-passwords_install
    authconfig --update --enablekrb5 --krb5realm=FNAL.GOV
    logger -p auth.info 'ran authconfig --enablekrb5 --krb5realm=FNAL.GOV'
fi
